Bug 180031 - umbrello hangs exporting to EPS and PDF, creates broken files
Summary: umbrello hangs exporting to EPS and PDF, creates broken files
Status: RESOLVED WORKSFORME
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Umbrello Development Group
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-08 14:53 UTC by Horst H. von Brand
Modified: 2013-11-06 17:31 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.7.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Horst H. von Brand 2009-01-08 14:53:25 UTC
Version:           2.1.96 (using Devel)
OS:                Linux
Installed from:    Compiled sources

This if Fedora rawhide on x86_64, umbrello from kdesdk-4.1.85-1.fc11.x86_64.
Calling:

  umbrello --export pdf scheduling_threads.xmi

(file scheduling_threads.pdf does exist) gives an empty PDF and hangs after complaining:

  umbrello(10361): Attempt to use QAction "edit_undo" with KXMLGUIFactory! 
  umbrello(10361): Attempt to use QAction "edit_redo" with KXMLGUIFactory! 
  umbrello(10361)/kdecore (KSycoca) KSycocaPrivate::checkVersion: Found version  118 , expecting version  130  or higher. 
  umbrello(10361)/kdecore (KSycoca) KSycocaPrivate::checkVersion: Found version  118 , expecting version  130  or higher. 
  umbrello(10361)/kdecore (KSycoca) KSycocaPrivate::checkVersion: Found version  118 , expecting version  130  or higher. 
  kdeinit4: preparing to launch /usr/libexec/kde4/klauncher
  kdeinit4: preparing to launch /usr/bin/kded4
  kdeinit4: preparing to launch /usr/bin/kbuildsycoca4
  kbuildsycoca4 running...
  kbuildsycoca4(10372)/kdecore (KSycoca) KSycocaPrivate::checkVersion: Found version  118 , expecting version  130  or higher. 
  kbuildsycoca4(10372)/kdecore (KSycoca) KSycocaPrivate::checkVersion: Found version  118 , expecting version  130  or higher. 
  kbuildsycoca4(10372)/kdecore (KSycoca) KSycocaPrivate::checkVersion: Found version  118 , expecting version  130  or higher. 
  kbuildsycoca4(10372)/kdecore (KSycoca) KSycocaPrivate::checkVersion: Found version  118 , expecting version  130  or higher. 
  kbuildsycoca4(10372)/kdecore (KSycoca) KSycocaPrivate::checkVersion: Found version  118 , expecting version  130  or higher. 
  kbuildsycoca4(10372)/kdecore (KSycoca) KSycocaPrivate::checkVersion: Found version  118 , expecting version  130  or higher. 
  kbuildsycoca4(10372)/kdecore (KSycoca) KSycocaPrivate::checkVersion: Found version  118 , expecting version  130  or higher. 
  kbuildsycoca4(10372) KBuildMimeTypeFactory::createEntry: Missing <comment> field in  "/usr/share/mime/audio/x-sbc.xml" 
  kbuildsycoca4(10372) KBuildMimeTypeFactory::createEntry: Missing <comment> field in  "/usr/share/mime/application/x-gnomint.xml" 
  kbuildsycoca4(10372) KBuildMimeTypeFactory::createEntry: Missing <comment> field in  "/usr/share/mime/application/x-hcidump.xml" 
  kbuildsycoca4(10372) VFolderMenu::loadDoc: Could not open  "/etc/xdg/menus/applications-kmenuedit.menu" 
  kbuildsycoca4(10372) KConfigGroup::readXdgListEntry: List entry MimeType in "/usr/share/applications/ufraw.desktop" is not compliant with XDG standard (missing trailing semicolon). 
  kbuildsycoca4(10372) KConfigGroup::readXdgListEntry: List entry MimeType in "/usr/share/applications/nm-vpnc.desktop" is not compliant with XDG standard (missing trailing semicolon). 
  kbuildsycoca4(10372) KConfigGroup::readXdgListEntry: List entry MimeType in "/usr/share/applications/gpk-install-catalog.desktop" is not compliant with XDG standard (missing trailing semicolon). 
  kbuildsycoca4(10372) KConfigGroup::readXdgListEntry: List entry MimeType in "/home/vonbrand/.local/share/applications/tetex-xdvi.desktop" is not compliant with XDG standard (missing trailing semicolon). 
  kbuildsycoca4(10372) KConfigGroup::readXdgListEntry: List entry MimeType in "/home/vonbrand/.local/share/applications/evince.desktop" is not compliant with XDG standard (missing trailing semicolon). 
  kbuildsycoca4(10372) KConfigGroup::readXdgListEntry: List entry MimeType in "/home/vonbrand/.local/share/applications/tetex-xdvi.desktop" is not compliant with XDG standard (missing trailing semicolon). 
  kbuildsycoca4(10372) KConfigGroup::readXdgListEntry: List entry MimeType in "/home/vonbrand/.local/share/applications/evince.desktop" is not compliant with XDG standard (missing trailing semicolon). 
  kbuildsycoca4(10372) KConfigGroup::readXdgListEntry: List entry MimeType in "/home/vonbrand/.local/share/applications/tetex-xdvi.desktop" is not compliant with XDG standard (missing trailing semicolon). 
  kbuildsycoca4(10372) KConfigGroup::readXdgListEntry: List entry MimeType in "/home/vonbrand/.local/share/applications/evince.desktop" is not compliant with XDG standard (missing trailing semicolon). 
  kdeinit4: preparing to launch /usr/libexec/kde4/kconf_update
  umbrello(10361) UMLListView::findView: returning 0 at UMLListView::findView 
  umbrello(10361) UMLListView::findView: returning 0 at UMLListView::findView 
  umbrello(10361): "" : duplicate entry ! 

  umbrello(10361): "" : duplicate entry ! 

  umbrello(10361): Errors while exporting: 
  umbrello(10361): "scheduling_threads: A problem occurred while saving diagram in /home/vonbrand/tmp/rtobar/img/scheduling_threads.pdf" 

  umbrello(10361): "" : missing entry ! 

  umbrello(10361): "" : missing entry ! 

  kdeinit4: preparing to launch /usr/libexec/kde4/kconf_update

If the file doesn't exit it hangs after:

  umbrello(10410): Attempt to use QAction "edit_undo" with KXMLGUIFactory! 
  umbrello(10410): Attempt to use QAction "edit_redo" with KXMLGUIFactory! 
  umbrello(10410) UMLListView::findView: returning 0 at UMLListView::findView 
  umbrello(10410) UMLListView::findView: returning 0 at UMLListView::findView 
  umbrello(10410): "" : duplicate entry ! 

  umbrello(10410): "" : duplicate entry ! 

  umbrello(10410): Errors while exporting: 
  umbrello(10410): "scheduling_threads: A problem occurred while saving diagram in /home/vonbrand/tmp/rtobar/img/scheduling_threads.pdf" 

  umbrello(10410): "" : missing entry ! 

  umbrello(10410): "" : missing entry !

Calling (scheduling_threads.eps doesn't exist):

  umbrello --export eps scheduling_threads.xmi

gives a broken EPS (No bounding box) and:

  umbrello(10437): Attempt to use QAction "edit_undo" with KXMLGUIFactory! 
  umbrello(10437): Attempt to use QAction "edit_redo" with KXMLGUIFactory! 
  umbrello(10437) UMLListView::findView: returning 0 at UMLListView::findView 
  umbrello(10437) UMLListView::findView: returning 0 at UMLListView::findView 
  umbrello(10437): "" : duplicate entry ! 

  umbrello(10437): "" : duplicate entry ! 

  umbrello(10437): "/home/vonbrand/tmp/rtobar/img/scheduling_threads.eps" : cannot find %%BoundingBox 
  umbrello(10437): Errors while exporting: 
  umbrello(10437): "scheduling_threads: A problem occurred while saving diagram in /home/vonbrand/tmp/rtobar/img/scheduling_threads.eps" 

  umbrello(10437): "" : missing entry ! 

  umbrello(10437): "" : missing entry !

A GDB backtrace for this last case is:

#0  0x00000038ba2dc80f in poll () from /lib64/libc.so.6
#1  0x000000355583b258 in ?? () from /lib64/libglib-2.0.so.0
#2  0x000000355583b57b in g_main_context_iteration ()
   from /lib64/libglib-2.0.so.0
#3  0x000000355756a79f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x0000003556a131df in ?? () from /usr/lib64/libQtGui.so.4
#5  0x0000003557540cb2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x0000003557540e3d in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#7  0x00000035575432ed in QCoreApplication::exec() ()
   from /usr/lib64/libQtCore.so.4
#8  0x0000000000af9ae5 in ?? ()
#9  0x00000038ba21e546 in __libc_start_main () from /lib64/libc.so.6
#10 0x00000000004308f9 in _start ()
Comment 1 Ralf Habacker 2012-11-09 16:43:06 UTC
Tried to reproduce this problem on opensuse 11.4 and got the following results: 
1. did not found a way to install an pdf export plugin.  There is no reference to pdf export in umbrello and there is no qt image plugin providing pdf. The only way to get pdf files is to export to eps and run ps2pdf or similar. 
2. eps export works without any problem using a big xmi file (see #309452)

If the problem with the eps support still occurs, feel free to reopen this bug with an xmi example, showing the problem.
Comment 2 Ralf Habacker 2013-11-06 17:31:33 UTC
set version-fixed-in from 4.7.4 changelog